(function(){
	//写法A
	//增加表单验证
	seajs.use("lib/jquery/form", function(a){
		console.log(a);
		$("form").form();
	});

	define("dbfen/client/view/demo", function(require, exports, module){
		require("lib/jquery/layer");

		module.exports = {
			init: function(){
				$("#pop").on({
					click: function(){
						$.layer({
						    type: 2,
						    shade: [0],
						    fix: false,
						    title: 'iframe子父操作',
						    maxmin: true,
						    iframe: {src : 'iframe.html'},
						    area: ['800px' , '440px'],
						    close: function(index){
						        layer.msg('您获得了子窗口标记：' + layer.getChildFrame('#name', index).val(),3,1);
						    }
						}); 
					}
				});
			},
			pop: function(){

			}
		};
	});

})(jQuery);